<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head') %>
  <link rel="stylesheet" href="/css/userClass.css"> <!-- style page-->
  <link rel="stylesheet" href="/css/style.css"> <!-- style navbar-->
  <title>Document</title>
</head>

<body>
  <%- include('../partials/navbar') %>
  <!-- After Sign in Page -->
  <div class="container-fluid text-center  g-0">
    <div class="col headerAfter">
      <h1 class="">Selamat Datang, <%= student.firstName %></h1>
    </div>
  </div>
  <div class="container-lg">
    <div class="container-lg">
      <div class="row py-5">
        <div class="col-md-auto py-1">
          <a href="#" class="list-group-item list-group-item-action" id="btnKelas">Kelas</a>
          <a href="/profile/user-profile/<%= student.id %>" class="list-group-item list-group-item-action"
            id="btnAkun">Akun</a>
          <a href="/profile/riwayat-pembayaran" class="list-group-item list-group-item-action" id="btnRiwayat">Riwayat
            Pemesanan</a>
          <form action="/auth/sign-out" method='POST'>
            <button class="list-group-item list-group-item-action" id="btnSignOut">Sign Out</button>
          </form>
        </div>

        <div class="col">
          <% if(courses.length > 0) {%>
          <% courses.forEach(course=> { %>
          <div class="card mx-3 ms-1 border border-2 mb-2" style="max-width: 800px;">
            <div class="row g-0">
              <div class="col-4">
                <img src="<%= course.previewUrl %>" alt="..." class="rounded float-start" height="130px" width="220px">
              </div>
              <div class="col-8">
                <div class="card-body py-auto">
                  <h5 class="card-title">
                    <%= course.title %>
                  </h5>
                  <div class="row justify-content-between card-text">
                    <div class="col">
                      <p class="my-1">Masakan <%= course.region %>
                      </p>
                      <p class="my-1">
                        <%= course.Teacher.name %>
                      </p>
                    </div>
                    <div class="col">
                      <p class="my-1">Level: <%= course.level %>
                      </p>
                      <p class="my-1">Durasi: <%= course.duration %>
                      </p>
                    </div>
                    <!-- <div class="col">
                      <p class="m-0">Masakan Sumatera</p>
                    </div>
                    <div class="col">
                      <p>Level: Menengah</p>
                    </div>
                    <div class="w-100"></div>
                    <div class="col">
                      <p>Chef William Wongso</p>
                    </div>
                    <div class="col">
                      <p>Durasi: 30 Menit</p>
                    </div> -->
                  </div>
                </div>
              </div>
            </div>
          </div>
          <% }) %>
          <% } else {%>
          <h3 class='text-center'>Anda belum memiliki kelas</h3>
          <% } %>
        </div>

      </div>

    </div>
  </div>
  <!-- Sidebar -->
  <%- include('../partials/footer') %>


</body>

</html>